@@ -5,7 +5,7 @@ include ${TOPDIR}/rules.mk
PKG_NAME:= igmpproxy
PKG_VERSION:= 0.1
-PKG_RELEASE:= 1
+PKG_RELEASE:= 2
PKG_MD5SUM:= c56f41ec195bc1fe016369bf74efc5a1
PKG_DESCR:= a simple dynamic Multicast Routing Daemon
PKG_SECTION:= net
@@ -0,0 +1 @@
+/etc/igmpproxy.conf
@@ -0,0 +1,26 @@
+#!/bin/sh
+#PKG igmpproxy
+#INIT 70
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${igmpproxy:-NO}" = x"NO"
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/igmpproxy /etc/igmpproxy.conf
+stop)
+ pkill igmpproxy
+restart)
+ sh $0 stop
+ sh $0 start
+*)
+ echo "Usage: $0 {start | stop | restart}"
+esac
+exit $?
@@ -0,0 +1,3 @@
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf igmpproxy igmpproxy NO